Tortoise SVN 1.7.0 not compatible with Developer Studio


#1

Hi

I have come across a problem using Tortoise 1.7.0 with the SVN plug-in in Developer Studio. Before upgrading tortoise to 1.7.0, both Developer Studio and Tortoise could perform SVN operations on the same project without issues. Now, after I upgrade the working copy of the project to the new version required by tortoise, Developer Studio can no longer perform SVN operations on the project. If I check the project out of SVN using Developer Studio, then Tortoise cannot perform SVN operations until the working copy is upgraded. I have upgraded my SVN connectors in Dev Studio, but get the same problem.

I guess this should be raised with the SVN plug-in team, but I’m not entirely sure who that is.

So a warning: Don’t upgrade your tortoise to 1.7.0! Leave it on 1.6.X if you use both it and Developer Studio on the same projects!


#2

We’re integrating “Subversive” Eclipse plug-in (cf eclipse.org/subversive/)
Please feel free to get in touch with them…


#3

I see it is listed as a bug in the Eclipse bugzilla:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=361761